// spiskolotr.cpp : Defines the entry point for the console application.
//
#include "stdafx.h"
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>
// Составить список целых чисел и посчитать количество отрицательных элементов списка.
// Удалить список после работы
struct elem
   {
	int num;
	elem *next;
	};
	elem *first, *cur, *tmp, *last;
	char snum[10];

 void main()
 {
   int n,kol,k;
  srand((unsigned)time(NULL));
  n=rand()%20+10;
  first=new elem;
  first->num=rand()%25-10;
  first->next=NULL;
  last=first;
   for(int i=1;i<n;i++)
   {cur=new elem;
    cur->num=rand()%25-10;
	cur->next=NULL;
	last->next=cur;
	last=cur;
   }
  puts("inputed spisok first -> last");
  cur=first;
  while(cur!=NULL)
  {printf("%5d",cur->num);
  cur=cur->next;
  }
  printf("\n");
  kol=0;
  puts("Negativ elements");
  cur=first;
  while(cur!=NULL)
  { if(cur->num<0)
     {
	  printf("%5d",cur->num);
	  kol++;
     } 
  cur=cur->next;
  }
  printf("\n\n  Spisok include %5d negativ elements",kol);
  printf("\n");

  puts("\nDelete spisok");
      while(first!=NULL)
		  { cur=first;
		    first=first->next;
			delete cur;
		  }
        last=cur=NULL;
 }